UngroupMe = {}
local UngroupMe = UngroupMe
local BufferTable = {}

----------------------------------
--          Start & Menu
----------------------------------
function UngroupMe_Init(eventCode, addOnName)
	default = {
		minGroupSize = 2
	}
	if addOnName ~= "UngroupMe" then return end
	UngroupMe.settings = ZO_SavedVars:New("UngroupMe_Settings", 1, nil, default)
end


function UngroupMe_DisbandCheck()

	if UngroupMe.GetOfflineCriteria() then
		GroupLeave()
	end
end


function UngroupMe.GetOfflineCriteria()

	local ret = true 
	local tag = nil
	local groupSize = GetGroupSize()
	if groupSize  >= UngroupMe.settings.minGroupSize then
	for i = 1, groupSize do 

		tag = GetGroupUnitTagByIndex(i)
		if (IsUnitOnline(tag) and not IsUnitPlayer(tag)) then 
			ret = false 
		end
	end
	end
	return ret
end

function UngroupMe.SetMinGroupSize(value)
	if UngroupMe.settings then 
		UngroupMe.settings.minGroupSize = value
	end
end

function UngroupMe.GetMinGroupSize()
	return UngroupMe.settings.minGroupSize or 2
end

EVENT_MANAGER:RegisterForEvent("UngroupMe", EVENT_ADD_ON_LOADED, UngroupMe_Init)
EVENT_MANAGER:RegisterForEvent("UngroupMe",  EVENT_GROUP_MEMBER_CONNECTED_STATUS, UngroupMe_DisbandCheck)
EVENT_MANAGER:RegisterForEvent("UngroupMe",  EVENT_OPEN_GUILD_BANK, UngroupMe_DisbandCheck)

SLASH_COMMANDS["/ungroup"] = UngroupMe.SetMinGroupSize(extra)